Page MenuHomePhabricator

Remove ChromeDriver dependency in all repositories with Selenium tests
Closed, DuplicatePublic

Description

Status

2/29 repositories (7%)

Notes

repositorycommit/task
mediawiki/core666946
mediawiki/extensions/AbuseFilter674400
mediawiki/extensions/AdvancedSearch
mediawiki/extensions/CirrusSearch
mediawiki/extensions/Cite
mediawiki/extensions/CodeMirror
mediawiki/extensions/Echo
mediawiki/extensions/ElectronPdfService
mediawiki/extensions/EntitySchema
mediawiki/extensions/FileImporter
mediawiki/extensions/GrowthExperiments
mediawiki/extensions/Math
mediawiki/extensions/MobileFrontend
mediawiki/extensions/Newsletter
mediawiki/extensions/Popups
mediawiki/extensions/ProofreadPage
mediawiki/extensions/RelatedArticles
mediawiki/extensions/RevisionSlider
mediawiki/extensions/TemplateWizard
mediawiki/extensions/TwoColConflict
mediawiki/extensions/Wikibase
mediawiki/extensions/WikibaseLexeme
mediawiki/extensions/WikibaseMediaInfo
mediawiki/skins/MinervaNeue
phabricator/deployment
wikibase/termbox
wikidata/query/gui
wikimedia/portals/deploy
wmde/wdio-wikibase

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptDec 7 2020, 10:14 AM

@Vidhi-Mody are you working on this? Do you need help?

zeljkofilipin renamed this task from Check if chromedriver is needed to run webdriverio tests to Remove ChromeDriver dependency for running Selenium tests.Feb 25 2021, 3:53 PM
zeljkofilipin updated the task description. (Show Details)

Change 666946 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/core@master] WIP Selenium: Remove ChromeDriver dependency

https://gerrit.wikimedia.org/r/666946

Change 666946 merged by jenkins-bot:
[mediawiki/core@master] selenium: Remove ChromeDriver dependency

https://gerrit.wikimedia.org/r/666946

zeljkofilipin renamed this task from Remove ChromeDriver dependency for running Selenium tests to Remove ChromeDriver dependency in all repositories with Selenium tests.Mar 8 2021, 1:31 PM
zeljkofilipin claimed this task.
zeljkofilipin updated the task description. (Show Details)

Change 674400 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/AbuseFilter@master] WIP selenium: Remove ChromeDriver dependency

https://gerrit.wikimedia.org/r/674400

Change 674400 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] selenium: Remove ChromeDriver dependency

https://gerrit.wikimedia.org/r/674400

Change 678303 had a related patch set uploaded (by Anjali041; author: Anjali041):

[mediawiki/extensions/Cite@master] selenium: Remove ChromeDriver dependency

https://gerrit.wikimedia.org/r/678303

Change 678334 had a related patch set uploaded (by Iamumangg; author: Iamumangg):

[mediawiki/extensions/ProofreadPage@master] Selenium: Remove ChromeDriver dependency

https://gerrit.wikimedia.org/r/678334

Change 678784 had a related patch set uploaded (by Anjali041; author: Anjali041):

[mediawiki/extensions/Math@master] Selenium: Remove ChromeDriver dependency

https://gerrit.wikimedia.org/r/678784

Change 678821 had a related patch set uploaded (by Anjali041; author: Anjali041):

[mediawiki/extensions/Echo@master] Selenium: Remove ChromeDriver dependency

https://gerrit.wikimedia.org/r/678821

Change 678831 had a related patch set uploaded (by Sahilgrewalhere; author: Sahilgrewalhere):

[mediawiki/extensions/Newsletter@master] Selenium: Remove ChromeDriver dependency

https://gerrit.wikimedia.org/r/678831

Change 678303 abandoned by Zfilipin:

[mediawiki/extensions/Cite@master] selenium: Remove ChromeDriver dependency

Reason:

Thank you for the patch, but there's a simpler way to solve this. See T281484.

https://gerrit.wikimedia.org/r/678303

Change 678334 abandoned by Zfilipin:

[mediawiki/extensions/ProofreadPage@master] Selenium: Remove ChromeDriver dependency

Reason:

Thank you for the patch, but there's a simpler way to solve this. See T281484.

https://gerrit.wikimedia.org/r/678334

Change 678784 abandoned by Zfilipin:

[mediawiki/extensions/Math@master] Selenium: Remove ChromeDriver dependency

Reason:

Thank you for the patch, but there's a simpler way to solve this. See T281484.

https://gerrit.wikimedia.org/r/678784

Change 678821 abandoned by Zfilipin:

[mediawiki/extensions/Echo@master] Selenium: Remove ChromeDriver dependency

Reason:

Thank you for the patch, but there's a simpler way to solve this. See T281484.

https://gerrit.wikimedia.org/r/678821

Change 678831 abandoned by Zfilipin:

[mediawiki/extensions/Newsletter@master] Selenium: Remove ChromeDriver dependency

Reason:

Thank you for the patch, but there's a simpler way to solve this. See T281484.

https://gerrit.wikimedia.org/r/678831